%define origname PythonMagick

Name:		pythonmagick
Version:	0.9.7
Release:	%mkrel 1
Summary:	Python interface to ImageMagick
Group:		Video
License:	ImageMagick
Url:		http://www.imagemagick.org/script/index.php

Source0:	http://www.imagemagick.org/download/python/PythonMagick-0.9.7.tar.gz
# Include python2.7 in 'configure' script
Patch0:		pythonmagick-0.9.7-mga-include-python2.7.patch
# PythonMagic uses locate to find the python headers
# This doesn't work when building as user
Patch1:		pythonmagick-0.9.7-mga-configure-find-python2.7.patch

BuildRequires:	python-numpy-devel
BuildRequires:	pkgconfig(ImageMagick++)
BuildRequires:	libtool
BuildRequires:	pkgconfig(xt)
BuildRequires:	boost-devel

Requires:	python

%description 
PythonMagick is a boost.python (requires Python 2.2) based wrapper around
GraphicsMagick(http://www.graphicsmagick.org).
It wraps the C++ API of GraphicsMagick, which is much more pythonic that
the original C API.

%prep
%setup -q -n %{origname}-%{version}
%apply_patches

%build
%configure2_5x --enable-static=no
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files
%doc INSTALL LICENSE README
%{python_sitearch}/%{origname}/*



%changelog

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 0.9.7-1.mga2
+ Revision: 220894
- changed BR on ImageMagick
- added patch for not using locate in configure
- added boost-devel to BR
- imported package pythonmagick


* Thu Feb 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.9.7-1.mga2
- initial package for Mageia
- based on spec file by dglent
